## org.eclipse.emf.cdo.common.model
Class CDOModelUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.model.CDOModelUtil

    public final class CDOModelUtil

extends java.lang.Object

Since:
  2.0

Field Summary
`static java.lang.String` `CORE_PACKAGE_URI`
`static java.lang.String` `RESOURCE_CLASS_NAME`
`static java.lang.String` `RESOURCE_FOLDER_CLASS_NAME`
`static java.lang.String` `RESOURCE_NODE_CLASS_NAME`
`static java.lang.String` `RESOURCE_PACKAGE_URI`
`static java.lang.String` `ROOT_CLASS_NAME`

Method Summary
`static CDOPackageInfo` `createPackageInfo()`
`static CDOPackageUnit` `createPackageUnit()`
`static org.eclipse.emf.ecore.EStructuralFeature[]` `getAllPersistentFeatures(org.eclipse.emf.ecore.EClass eClass)`
`static CDOClassInfo` `getClassInfo(org.eclipse.emf.ecore.EClass eClass)`
`static CDOType` `getCoreType(org.eclipse.emf.ecore.EClassifier eDataType)` Core types includes also complex data like EAnnotation, and EEnum
`static CDOPackageInfo` `getPackageInfo(java.lang.Object value, CDOPackageRegistry packageRegistry)`
`static CDOType` `getPrimitiveType(java.lang.Class<? extends java.lang.Object> primitiveType)`
`static CDOType` `getType(org.eclipse.emf.ecore.EClassifier classifier)`
`static CDOType` `getType(org.eclipse.emf.ecore.EStructuralFeature feature)`
`static CDOType` `getType(int typeID)`
`static boolean` `isCorePackage(org.eclipse.emf.ecore.EPackage ePackage)`
`static boolean` `isResource(org.eclipse.emf.ecore.EClass eClass)`
`static boolean` `isResourceFolder(org.eclipse.emf.ecore.EClass eClass)`
`static boolean` `isResourceNode(org.eclipse.emf.ecore.EClass eClass)`
`static boolean` `isResourcePackage(org.eclipse.emf.ecore.EPackage ePackage)`
`static boolean` `isRoot(org.eclipse.emf.ecore.EClass eClass)`
`static boolean` `isSystemPackage(org.eclipse.emf.ecore.EPackage ePackage)`
`static org.eclipse.emf.ecore.EPackage` `readPackage(org.eclipse.net4j.util.io.ExtendedDataInput in, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`static void` `writePackage(org.eclipse.net4j.util.io.ExtendedDataOutput out, org.eclipse.emf.ecore.EPackage ePackage, boolean zipped, org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORE_PACKAGE_URI

    public static final java.lang.String CORE_PACKAGE_URI

Since:
  2.0
See Also:
  Constant Field Values

### RESOURCE_PACKAGE_URI

    public static final java.lang.String RESOURCE_PACKAGE_URI

Since:
  2.0
See Also:
  Constant Field Values

### RESOURCE_NODE_CLASS_NAME

    public static final java.lang.String RESOURCE_NODE_CLASS_NAME

Since:
  2.0
See Also:
  Constant Field Values

### RESOURCE_FOLDER_CLASS_NAME

    public static final java.lang.String RESOURCE_FOLDER_CLASS_NAME

Since:
  2.0
See Also:
  Constant Field Values

### RESOURCE_CLASS_NAME

    public static final java.lang.String RESOURCE_CLASS_NAME

Since:
  2.0
See Also:
  Constant Field Values

### ROOT_CLASS_NAME

    public static final java.lang.String ROOT_CLASS_NAME

Since:
  2.0
See Also:
  Constant Field Values

Method Detail

### isCorePackage

    public static boolean isCorePackage(org.eclipse.emf.ecore.EPackage ePackage)

  Since:
    2.0

### isResourcePackage

    public static boolean isResourcePackage(org.eclipse.emf.ecore.EPackage ePackage)

  Since:
    2.0

### isSystemPackage

    public static boolean isSystemPackage(org.eclipse.emf.ecore.EPackage ePackage)

  Since:
    2.0

### isResource

    public static boolean isResource(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### isResourceFolder

    public static boolean isResourceFolder(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### isResourceNode

    public static boolean isResourceNode(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### isRoot

    public static boolean isRoot(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### getType

    public static CDOType getType(org.eclipse.emf.ecore.EStructuralFeature feature)

  Since:
    2.0

### getType

    public static CDOType getType(int typeID)

### getType

    public static CDOType getType(org.eclipse.emf.ecore.EClassifier classifier)

  Since:
    2.0

### getCoreType

    public static CDOType getCoreType(org.eclipse.emf.ecore.EClassifier eDataType)

  Core types includes also complex data like EAnnotation, and EEnum

  Since:
    2.0

### getPrimitiveType

    public static CDOType getPrimitiveType(java.lang.Class<? extends java.lang.Object> primitiveType)

  Since:
    2.0

### getPackageInfo

    public static CDOPackageInfo getPackageInfo(java.lang.Object value,
                                                CDOPackageRegistry packageRegistry)

  Since:
    2.0

### getClassInfo

    public static CDOClassInfo getClassInfo(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### getAllPersistentFeatures

    public static org.eclipse.emf.ecore.EStructuralFeature[] getAllPersistentFeatures(org.eclipse.emf.ecore.EClass eClass)

  Since:
    2.0

### createPackageUnit

    public static CDOPackageUnit createPackageUnit()

  Since:
    2.0

### createPackageInfo

    public static CDOPackageInfo createPackageInfo()

  Since:
    2.0

### writePackage

    public static void writePackage(org.eclipse.net4j.util.io.ExtendedDataOutput out,
                                    org.eclipse.emf.ecore.EPackage ePackage,
                                    boolean zipped,
                                    org.eclipse.emf.ecore.EPackage.Registry packageRegistry)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`
  Since:
    2.0

### readPackage

    public static org.eclipse.emf.ecore.EPackage readPackage(org.eclipse.net4j.util.io.ExtendedDataInput in,
                                                             org.eclipse.emf.ecore.EPackage.Registry packageRegistry)
                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`
  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.